unit fDeveloperIDE;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics,
  Controls, Forms, Dialogs, StdCtrls, XMLInterface, properties, CADImage;

type
  TfmDeveloperIDE = class(TForm)
    mInput: TMemo;
    mOutput: TMemo;
    btRun: TButton;
    procedure mInputEnter(Sender: TObject);
    procedure mInputExit(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure btRunClick(Sender: TObject);
  private
    //FLisp: TLisp;
    FInputXML: TsgXMLIDE;
    FCADImage: TsgCADImage;
    procedure SetCADImage(const Value: TsgCADImage);
    { Private declarations }
  public
    property CADImage: TsgCADImage read FCADImage write SetCADImage;
    { Public declarations }
  end;

var
  fmDeveloperIDE: TfmDeveloperIDE;

implementation

{$R *.dfm}

procedure TfmDeveloperIDE.btRunClick(Sender: TObject);
var
  S: string;
begin
  S := Trim(mInput.Text);
  if S[1] in ['!', '(', ';'] then
  begin
    //mOutput.Text := FLisp.Run(S);
  end;
  if S[1] = '<' then
  begin
    mOutput.Text := FInputXML.ProcessXML(mInput.Text);
  end;
end;

procedure TfmDeveloperIDE.FormCreate(Sender: TObject);
begin
  FCADImage := nil;
//  FLisp := TLisp.Create;
  FInputXML := TsgXMLIDE.Create;
end;

procedure TfmDeveloperIDE.FormDestroy(Sender: TObject);
begin
//  FLisp.Free;
  FInputXML.Free;
end;

procedure TfmDeveloperIDE.mInputEnter(Sender: TObject);
begin

  if Trim(mInput.Lines.Text) = 'Write lisp or xml code' then
    mInput.Lines.Clear;
end;

procedure TfmDeveloperIDE.mInputExit(Sender: TObject);
begin
  if Trim(mInput.Lines.Text) = '' then
    mInput.Lines.Text := 'Write lisp or xml code';
end;

procedure TfmDeveloperIDE.SetCADImage(const Value: TsgCADImage);
begin
  FCADImage := Value;
  FInputXML.CADImage := FCADImage;
end;

end.
